Bug 97919 - Movies and OLE Objects should be resized proportionately
Summary: Movies and OLE Objects should be resized proportionately
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-17 01:12 UTC by Yousuf Philips (jay)
Modified: 2016-10-25 19:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-02-17 01:12:45 UTC
Similar to how images are proportionately being resized (bug 71669, bug 83808), we should also by default resize proportionately non-shape objects like media and OLE Objects (e.g. Charts).
Comment 1 Samuel Mehrbrodt (CIB) 2016-03-15 15:19:43 UTC
Did this for media objects, but I am not sure we want this for OLE objects as well.

I tested with a Chart and when resizing unproportionally, the content is being updated without anything stretched, so the layout is not broken.

So I think it's different to images and media objects here and I would leave the user the flexibility there.
Comment 2 Commit Notification 2016-03-15 17:10:37 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f669eec43ee902071c8f56a322a6dfb1a4a66e45

tdf#97919 Resize media objects proportionally by default

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) 2016-03-15 17:58:38 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #1)
> I tested with a Chart and when resizing unproportionately, the content is
> being updated without anything stretched, so the layout is not broken.

The same argument could be stated for resizing SVGs unproportionately, as the content is being updated. The original width to height ratio should be retained for elements where retaining the ratio is the most probable action that a user would like to do. So in the case of a chart, which to most users looks like an image and we allow them to export it also as an image, sizing it proportionally is the best default action.

Here is a simple example of an OLE object where proportionate resizing should be its default.
1) Open Writer
2) Insert > Object > OLE Object
3) Select 'create from file' and press OK
4) Select a SVG or a spreadsheet file
5) Once inserted, resize it and do you expect it to do so proportionately or unproportionately.
Comment 4 Commit Notification 2016-03-15 18:27:38 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4af2f26a955d172e8b72579c9bc6534e98b9f72b

tdf#97919 Also resize ole objects proportionally by default

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Samuel Mehrbrodt (CIB) 2016-03-15 18:28:30 UTC
(In reply to Yousuf (Jay) Philips from comment #3)
> (In reply to Samuel Mehrbrodt (CIB) from comment #1)
> > I tested with a Chart and when resizing unproportionately, the content is
> > being updated without anything stretched, so the layout is not broken.
> 
> The same argument could be stated for resizing SVGs unproportionately, as
> the content is being updated. The original width to height ratio should be
> retained for elements where retaining the ratio is the most probable action
> that a user would like to do. So in the case of a chart, which to most users
> looks like an image and we allow them to export it also as an image, sizing
> it proportionally is the best default action.
> 
> Here is a simple example of an OLE object where proportionate resizing
> should be its default.
> 1) Open Writer
> 2) Insert > Object > OLE Object
> 3) Select 'create from file' and press OK
> 4) Select a SVG or a spreadsheet file
> 5) Once inserted, resize it and do you expect it to do so proportionately or
> unproportionately.

Convinced :)
Comment 6 steve -_- 2016-03-16 09:36:42 UTC
Absolutely agree with Jay here. What percentage of users wants visual objects resized unproportionally? My guess would be below 1% likely.

Samuel, thanks a lot for this obvious improvement.
Comment 7 Daniël van Vuuren 2016-06-02 15:32:49 UTC
Works as expected